Page MenuHomeFreeBSD

audio/vgmplay: correct endianness on big-endian architectures
ClosedPublic

Authored by pkubaj on Apr 20 2019, 9:36 PM.

Details

Summary

By default little-endian is specified, which may result in runtime issues. Set it to big-endian where needed.

Also add USES=localbase:ldflags.

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237173

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pkubaj created this revision.Apr 20 2019, 9:36 PM
mat added a comment.Apr 30 2019, 1:44 PM

Shouldn't this also include a PORTREVISION bump to fix runtime issues?

pkubaj updated this revision to Diff 56853.Apr 30 2019, 2:05 PM

Bump PORTREVISION.

tcberner accepted this revision.May 4 2019, 9:39 AM
This revision is now accepted and ready to land.May 4 2019, 9:39 AM
This revision was automatically updated to reflect the committed changes.